|  | Home | Documentation | uddi2__serviceInfo Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__serviceInfo Class Reference

Schema urn:uddi-org:api_v2:"serviceInfo". More...

`#include <uddi_v2.h>`

## Public Attributes

std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
uddi2__serviceKey | serviceKey
| Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"serviceInfo".

## Member Data Documentation

## ◆ businessKey

uddi2__businessKey uddi2__serviceInfo::businessKey

Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.

Required attribute

## ◆ name

std::vector<uddi2__name* > uddi2__serviceInfo::name

Vector of uddi2__name* with length 0..unbounded.

## ◆ serviceKey

uddi2__serviceKey uddi2__serviceInfo::serviceKey

Attribute serviceKey of type "urn:uddi-org:api_v2":serviceKey.

Required attribute

## ◆ soap

struct soap* uddi2__serviceInfo::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h